"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const state = {
  editingType: null,
  hoverItem: null,
  selectedItem: null,
  editConfigData: null,
  token: "",
  refreshToken: ""
};
const getters = {
  refreshToken: (state2) => state2.refreshToken,
  token: (state2) => state2.token,
  editingType: (state2) => {
    return state2.editingType;
  },
  hoverItem: (state2) => {
    return state2.hoverItem;
  },
  selectedItem: (state2) => state2.selectedItem,
  editConfigData: (state2) => state2.editConfigData
};
const mutations = {
  set_token(state2, item) {
    state2.token = item;
  },
  set_refreshToken(state2, item) {
    state2.refreshToken = item;
  },
  set_editing_type(state2, data) {
    state2.editingType = data;
  },
  set_edit_config_data(state2, data) {
    state2.editConfigData = data;
  },
  set_hover_item(state2, item) {
    state2.hoverItem = item;
  },
  set_selected_item(state2, item) {
    state2.selectedItem = item;
  }
};
const devStore = { state, mutations, getters };
exports.default = devStore;
exports.getters = getters;
exports.mutations = mutations;
exports.state = state;
